Bug 855491 - (CVE-2012-4413) CVE-2012-4413 OpenStack-Keystone: role revocation token issues
CVE-2012-4413 OpenStack-Keystone: role revocation token issues
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120912,repor...
: Security
Depends On: 856708 856712 856720
Blocks: 836072 852512
  Show dependency treegraph
 
Reported: 2012-09-08 00:08 EDT by Kurt Seifried
Modified: 2016-04-26 16:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 14:17:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CVE-2012-4413-master-v4.txt (5.56 KB, text/plain)
2012-09-08 00:18 EDT, Kurt Seifried
no flags Details
CVE-2012-4413-stable-essex-v4.txt (5.59 KB, text/plain)
2012-09-08 00:19 EDT, Kurt Seifried
no flags Details

  None (edit)
Description Kurt Seifried 2012-09-08 00:08:52 EDT
Russell Bryant (rbryant@redhat.com) of the OpenStack Project reports:

Title: Revoking a role does not affect existing tokens
Impact: High
Reporter: Dolph Mathews (Rackspace)
Products: Keystone
Affects: Essex, Folsom

Description:
Dolph Mathews reported a vulnerability in Keystone. Granting and
revoking roles from a user is not reflected upon token validation for
pre-existing tokens. Pre-existing tokens continue to be valid for the
original set of roles for the remainder of the token's lifespan, or
until explicitly invalidated. This fix invalidates all tokens held by
a user upon role grant/revoke to circumvent the issue.
Comment 1 Kurt Seifried 2012-09-08 00:13:14 EDT
See the attached patches. For Essex, the following patch also needs to
be in place before the fix for the vulnerability will be fully
effective: https://review.openstack.org/#/c/12590/. The equivalent
patch for the memcached token backend in Folsom has already been merged.
Comment 2 Kurt Seifried 2012-09-08 00:18:46 EDT
Created attachment 610928 [details]
CVE-2012-4413-master-v4.txt
Comment 3 Kurt Seifried 2012-09-08 00:19:12 EDT
Created attachment 610929 [details]
CVE-2012-4413-stable-essex-v4.txt
Comment 5 Kurt Seifried 2012-09-12 11:48:23 EDT
This has now been released publicly:

https://review.openstack.org/#/c/12868/
Comment 7 Kurt Seifried 2012-09-12 11:57:30 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 856712]
Comment 8 Kurt Seifried 2012-09-12 12:06:44 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 856720]
Comment 9 Murray McAllister 2012-09-24 22:05:50 EDT
Acknowledgements:

Red Hat would like to thank Dolph Mathews for reporting this issue.
Comment 10 errata-xmlrpc 2012-10-16 13:25:53 EDT
This issue has been addressed in following products:

  OpenStack Essex for RHEL 6

Via RHSA-2012:1378 https://rhn.redhat.com/errata/RHSA-2012-1378.html

Note You need to log in before you can comment on or make changes to this bug.